MyBB AwayList Plugin (index.php, id parameter) SQL Injection Vulnerability

MyBB AwayList Eklentisinde SQL Injection Açıkları bulunmuştur. Açık index.php?action=editAwlItem&id=[SQLi] kaynaklanmakta olup, Açık bulucunun Açığın kullanımına ilişkin açıklamalamaları aşağıdaki şekildedir.

# Exploit Title: AwayList MyBB plugin SQLi 0day
# Exploit Author: Red_Hat [Team Vect0r]
# Software Link: http://mods.mybb.com/view/awaylist
# Tested on: Windows & Linux.


Vulnerable code :

<?php
$query = $db->simple_select( // 245
        "awaylist", '*', "id = '" . $mybb->input['id'] . "'" // 246
    ); // 247
    $item = $db->fetch_array($query); // 248
?>

The variable '$mybb->input['id']' remains unsanitized.

Usage : http://server/index.php?action=editAwlItem&id=[SQLi]

Shoutout to Zixem <3 & Team Vect0r :3

Bir Cevap Yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir